import { Outlet } from "@tanstack/react-router";
import { TanStackRouterDevtools } from "@tanstack/react-router-devtools";
import { useEffect } from "react";
import { getSerwist } from "virtual:serwist";

export function RootLayout() {
    useEffect(() => {
        const loadSerwist = async () => {
            if ("serviceWorker" in navigator) {
                const serwist = await getSerwist();

                serwist?.addEventListener("installed", () => {
                    console.log("Serwist installed!");
                });

                void serwist?.register();
            }
        };

        loadSerwist();
    }, []);
    return (
        <>
            <Outlet />
            <TanStackRouterDevtools />
        </>
    );
}
